﻿using System;
using System.Collections.Generic;
using System.Windows.Input;
using Xamarin.Forms;
using System.ComponentModel;
using System.Diagnostics;
using System.Collections.ObjectModel;

namespace RotatorItemTemplate
{
	public class RotatorViewModel:ContentPage,INotifyPropertyChanged
	{
		private ObservableCollection<RotatorModel> imageCollection = new ObservableCollection<RotatorModel>();

		public ObservableCollection<RotatorModel> ImageCollection
		{
			get { 
				
				return imageCollection;
			}
			set 
			{ 

				imageCollection = value;

				OnPropertyChanged("ImageCollection");
			}
		}


		public RotatorViewModel()
		{

		}

		public void RotatorViewModel1(bool value)
		{
			if (value)
			{
				ImageCollection.Clear();

				ImageCollection.Add(new RotatorModel("movie4.png"));
				ImageCollection.Add(new RotatorModel("movie5.png"));
				ImageCollection.Add(new RotatorModel("movie1.png"));
				ImageCollection.Add(new RotatorModel("movie2.png"));

			}
				
		}
	}
}
